Subject: bug#75170: add-to-alist: new function

From: Michael Heerdegen <[email-masked]>
Date: Mon, 20 Jan 2025 01:29:17 +0100

Stefan Kangas <[email-masked]> writes:

> On balance, I think we could add it.

But we should definitely have only one implementation in the end.

BTW, this situation is similar to and-let* vs. when-let* where Stefan
wants to remove a similar kind of twin.  If a new construct doesn't
provide some kind of advantage we blow up the language and make it more
complex.  One has to remember the differences between the twin versions.

So, are we sure that adding something like this is making things easier?
What is the advantage in this case?  That it's easier to understand?  I
think the examples in the docstring are easy to follow OTOH.  If it's
the discoverability, then let's improve that.

And if it's mainly useful for newbies and initialization files, an idea
would be to start a new file init-file-helpers.el or so that aims at
beginners, and add such things to it.

Michael.